com.independentsoft.exchange

## Class CustomPropertyId

- java.lang.Object
- - com.independentsoft.exchange.PropertyPath
  - - com.independentsoft.exchange.ExtendedPropertyPath
    - - com.independentsoft.exchange.CustomPropertyId

-     public class CustomPropertyId
      extends ExtendedPropertyPath

  Identifies an extended MAPI property ID.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomPropertyId()` Initializes a new instance of the CustomPropertyId class.
    `CustomPropertyId(int id, java.lang.String set)` Initializes a new instance of the CustomPropertyId class.
    `CustomPropertyId(int id, java.lang.String set, MapiPropertyType type)` Initializes a new instance of the CustomPropertyId class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()` Gets an extended property by its dispatch ID.
    `java.lang.String` | `getSet()` Gets a MAPI extended property set or namespace by its identifying GUID.
    `MapiPropertyType` | `getType()` Gets the property type of a property tag.
    `boolean` | `isEqual(ExtendedPropertyPath propertyPath)` Checks if is equal.
    `void` | `setId(int id)` Sets an extended property by its dispatch ID.
    `void` | `setSet(java.lang.String set)` Sets a MAPI extended property set or namespace by its identifying GUID.
    `void` | `setType(MapiPropertyType type)` Sets the property type of a property tag.
    `java.lang.String` | `toString()` Converts the value of the current CustomPropertyId object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomPropertyId

          public CustomPropertyId()

      Initializes a new instance of the CustomPropertyId class.

    - #### CustomPropertyId

          public CustomPropertyId(int id,
                                  java.lang.String set)

      Initializes a new instance of the CustomPropertyId class.
      Parameters:
        `id` - the id
        `set` - the set

    - #### CustomPropertyId

          public CustomPropertyId(int id,
                                  java.lang.String set,
                                  MapiPropertyType type)

      Initializes a new instance of the CustomPropertyId class.
      Parameters:
        `id` - the id
        `set` - the set
        `type` - the type

  - ### Method Detail

    - #### isEqual

          public boolean isEqual(ExtendedPropertyPath propertyPath)

      Description copied from class: `ExtendedPropertyPath`
      Checks if is equal.
      Specified by:
        `isEqual` in class `ExtendedPropertyPath`
      Parameters:
        `propertyPath` - the property path
      Returns:
        true, if is equal

    - #### toString

          public java.lang.String toString()

      Converts the value of the current CustomPropertyId object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getId

          public int getId()

      Gets an extended property by its dispatch ID.
      Returns:
        the id

    - #### setId

          public void setId(int id)

      Sets an extended property by its dispatch ID.
      Parameters:
        `id` - the new id

    - #### getSet

          public java.lang.String getSet()

      Gets a MAPI extended property set or namespace by its identifying GUID.
      Returns:
        the sets the

    - #### setSet

          public void setSet(java.lang.String set)

      Sets a MAPI extended property set or namespace by its identifying GUID.
      Parameters:
        `set` - the new sets the

    - #### getType

          public MapiPropertyType getType()

      Gets the property type of a property tag.
      Returns:
        the type

    - #### setType

          public void setType(MapiPropertyType type)

      Sets the property type of a property tag.
      Parameters:
        `type` - the new type